Real-time Analytics

Get historical analytics

Returns historical analytics for charting

AuthBearer (JWT)
GroupReal-time Analytics
Rate limitSee Rate Limits
GET/api/realtime/projects/{projectId}/history

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, RealTimeAnalyticsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const realtimeanalytics = new RealTimeAnalyticsApi(configuration);
import { Configuration, RealTimeAnalyticsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const realtimeanalytics = new RealTimeAnalyticsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await realtimeanalytics.getHistoricalAnalytics("proj_K8CRq73egthK");
const { data: result } = await realtimeanalytics.getHistoricalAnalytics("proj_K8CRq73egthK");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Query Parameters

NameTypeRequiredDescription
periodstringNoTime period for historical data

Responses

200Historical analytics data
json
{
  "projectId": "685ad30be129932fbb7a1047",
  "period": "hour",
  "data": [],
  "generatedAt": "2024-01-15T10:00:00.000Z"
}
{
  "projectId": "685ad30be129932fbb7a1047",
  "period": "hour",
  "data": [],
  "generatedAt": "2024-01-15T10:00:00.000Z"
}
400
401
404

Errors

CodeMeaning
400
401
404
Edit this page on GitHub